import { Request as RequestUtil } from '../util/index.js';
import { AssistantMonitoring } from '../service/index.js';
class AssistantMonitoringRoutes {
    register(app) {
        app.post('/assistant-monitoring', async (req, res) => {
            try {
                const response = await AssistantMonitoring.save(RequestUtil.getAllParams(req));
                res.status(200).send(response);
            }
            catch (err) {
                RequestUtil.handleResponseError(res, err);
            }
        });
        app.get('/assistant-monitoring', async (req, res) => {
            try {
                const response = await AssistantMonitoring.list({ decodeContent: true });
                res.status(200).send(response);
            }
            catch (err) {
                RequestUtil.handleResponseError(res, err);
            }
        });
        app.put('/assistant-monitoring', async (req, res) => {
            try {
                const response = await AssistantMonitoring.modify(RequestUtil.getAllParams(req));
                res.status(200).send(response);
            }
            catch (err) {
                RequestUtil.handleResponseError(res, err);
            }
        });
        app.delete('/assistant-monitoring', async (req, res) => {
            try {
                const response = await AssistantMonitoring.delete(RequestUtil.getAllParams(req));
                res.status(200).send(response);
            }
            catch (err) {
                RequestUtil.handleResponseError(res, err);
            }
        });
    }
}
const instance = new AssistantMonitoringRoutes();
export { instance as AssistantMonitoringRoutes };
export default instance;
